diff -ur nagios.orig/xdata/xpddefault.c nagios-cvs/xdata/xpddefault.c
--- nagios.orig/xdata/xpddefault.c	Sun Sep 12 15:37:12 2004
+++ nagios-cvs/xdata/xpddefault.c	Thu Sep 30 13:31:12 2004
@@ -181,16 +181,24 @@
 	/* save the host perf data file macro */
 	if(macro_x[MACRO_HOSTPERFDATAFILE]!=NULL)
 		free(macro_x[MACRO_HOSTPERFDATAFILE]);
-	macro_x[MACRO_HOSTPERFDATAFILE]=(char *)strdup(xpddefault_host_perfdata_file);
-	if(macro_x[MACRO_HOSTPERFDATAFILE]!=NULL)
+	if(xpddefault_host_perfdata_file!=NULL){
+		macro_x[MACRO_HOSTPERFDATAFILE]=(char *)strdup(xpddefault_host_perfdata_file);
 		strip(macro_x[MACRO_HOSTPERFDATAFILE]);
+	}
+	else{
+		macro_x[MACRO_HOSTPERFDATAFILE]=(char *)"";
+	}
 
 	/* save the service perf data file macro */
 	if(macro_x[MACRO_SERVICEPERFDATAFILE]!=NULL)
 		free(macro_x[MACRO_SERVICEPERFDATAFILE]);
-	macro_x[MACRO_SERVICEPERFDATAFILE]=(char *)strdup(xpddefault_service_perfdata_file);
-	if(macro_x[MACRO_SERVICEPERFDATAFILE]!=NULL)
+	if(xpddefault_service_perfdata_file!=NULL){
+		macro_x[MACRO_SERVICEPERFDATAFILE]=(char *)strdup(xpddefault_service_perfdata_file);
 		strip(macro_x[MACRO_SERVICEPERFDATAFILE]);
+	}
+	else{
+		macro_x[MACRO_SERVICEPERFDATAFILE]=(char *)"";
+	}
 
 	return OK;
         }
